Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_method_entry_struct Struct Reference

`#include <method.h>`

## Data Fields
VALUE | flags
VALUE | defined_class
struct rb_method_definition_struct *const | def
ID | called_id
VALUE | owner

## Detailed Description

Definition at line 51 of file method.h.

## Field Documentation

## ◆ called_id

ID rb_method_entry_struct::called_id

Definition at line 55 of file method.h.

## ◆ def

struct rb_method_definition_struct *const rb_method_entry_struct::def

Definition at line 54 of file method.h.

Referenced by rb_method_entry_complement_defined_class(), rb_method_entry_copy(), and rb_method_entry_eq().

## ◆ defined_class

VALUE rb_method_entry_struct::defined_class

Definition at line 53 of file method.h.

Referenced by rb_method_entry_complement_defined_class().

## ◆ flags

VALUE rb_method_entry_struct::flags

Definition at line 52 of file method.h.

## ◆ owner

VALUE rb_method_entry_struct::owner

Definition at line 56 of file method.h.

Referenced by rb_method_entry_complement_defined_class().

The documentation for this struct was generated from the following files:

- method.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h